# $Revision: 1.12 $, $Date: 2002/08/19 08:23:13 $
Summary:	YIFF Sound Systems
Summary(pl):	System dwiku YIFF
Name:		yiff
Version:	2.12.3
# newer available; not tested yet
#Version:	2.12.4
Release:	3
License:	GPL-like
Group:		Applications/Sound
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}%{version}.tgz
Source1:	%{name}config.desktop
Patch0:		%{name}-config_dir.patch
URL:		http://fox.mit.edu/xsw/yiff/
BuildRequires:	alsa-lib-devel
BuildRequires:	gcc-c++
BuildRequires:	gtk+-devel
Requires:	yiff-lib = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xprefix	/usr/X11R6
%define		_xbindir	%{_xprefix}/bin
%define		_xmandir	%{_xprefix}/man

%description
The YIFF sound server is a Y compliant sound server providing Y
compliant client applications with sound support. Uses either OSS or
ALSA sound drivers and follows OSS compliancy.

%description -l pl
Serwer dwiku YIFF jest zgodnym z Y serwerem dwiku dajcym obsug
dwiku dla aplikacji klienckich zgodnych z Y. Uywa sterownikw OSS
lub ALSA.

%package devel
Summary:	YIFF development package
Summary(pl):	Pakiet programistyczny YIFF
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}

%description devel
YIFF Sound Systems development files required to develop programs
using yiff.

%description devel -l pl
Pliki potrzebne do tworzenia programw uywajcych systemu dwiku
YIFF.

%package lib
Summary:	YIFF libraries
Summary(pl):	Biblioteki YIFF
Group:		Development/Libraries

%description lib
YIFF Sound Systems library required to run programs using yiff.

%description lib -l pl
Biblioteki potrzebne do uruchamiania programw korzystajcych z
systemu dwiku YIFF.

%package config
Summary:	YIFF configuration utility
Summary(pl):	Narzdzie konfiguracyjne do YIFF
Group:		Applications/Games
Requires:	%{name}-lib = %{version}
Requires:	%{name} = %{version}

%description config
YIFF Sound Systems configuration utility.

%description config -l pl
Narzdzie konfiguracyjne do systemu dwiku YIFF.

%prep
%setup -qn %{name}%{version}
%patch0 -p1

%build

%{__make} -C libY2 CFLAGS="-shared %{rpmcflags}"

%{__make} -C yiff CFLAGS="%{rpmcflags}"

%{__make} -C yiffconfig CFLAGS="`gtk-config --cflags` %{rpmcflags}"

%{__make} -C yiffutils CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT{%{_datadir}/sounds,%{_applnkdir},%{_sysconfdir}}

%{__make} -C libY2 install \
	YLIB_DIR="$RPM_BUILD_ROOT%{_libdir}" \
	YINC_DIR="$RPM_BUILD_ROOT%{_includedir}/Y2" \
	YMAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man3" \
	LDCONFIG="/bin/true"

%{__make} -C yiff install \
	ETC_DIR="$RPM_BUILD_ROOT%{_sysconfdir}" \
	SBIN_DIR="$RPM_BUILD_ROOT%{_sbindir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man8"
install yiff/yiffrc $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} -C yiffconfig install \
	BIN_DIR="$RPM_BUILD_ROOT%{_xbindir}" \
	ICONS_DIR="$RPM_BUILD_ROOT%{_pixmapsdir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_xmandir}/man8"

%{__make} -C yiffutils install \
	PREFIX="$RPM_BUILD_ROOT" \
	BIN_DIR="%{_bindir}" \
	MAN_DIR="%{_mandir}/man1"

%{__make} -C stuff install \
	PREFIX="$RPM_BUILD_ROOT" \
	ICONS_DIR="%{_pixmapsdir}" \
	SOUNDS_DIR="%{_datadir}/sounds"
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS LICENSE
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(644,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/yiffrc
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_pixmapsdir}/yiff.xpm
%{_pixmapsdir}/Y.xpm
%{_datadir}/sounds/*

%files lib
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_libdir}/libY2.so.*
%attr(755,root,root) %{_libdir}/libY2.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/Y2
%{_mandir}/man3/*

%files config
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*
%{_xmandir}/man?/*
%{_pixmapsdir}/yiffconfig*
%{_applnkdir}/Settings/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yiff.spec,v $
Revision 1.12  2002/08/19 08:23:13  qboosh
- removed %%{_xmandir}/man8 dir from -config, release3

Revision 1.11  2002/08/18 13:44:52  blues
- release 2 - license fix, new doc

Revision 1.10  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/24 10:06:51  qboosh
- adapterized, pl translation

Revision 1.6  2001/09/24 13:26:29  ankry
- updated source URL

Revision 1.5  2001/05/03 14:58:53  jajcus
- config dir patch
- cd;make;cd -> make -C
- *.desktop file added
- libY2.so moved to -lib package (as it has no valid SONAME)

Revision 1.4  2001/05/01 18:24:45  jajcus
- totally new spec (Version: 2.12.3) NFY
